## cevomapgen 32

=== Makefile ===
# Makefile for cevomapgen
# Copyright : 2024 P Blackman
# License   : GPLv3+

HOME=tmphome

cevomapgen : fpc.cfg CevoMapGen.* *.pas *.pp *.lfm
	mkdir -p tmphome

# -B option forces compile of all object files
	lazbuild --ws=qt5 -B CevoMapGen.lpi
	fpc -ocevomapcheck CevoMapCheck

clean:
	-rm cevomapcheck
	-rm cevomapgen
	-rm -fr lib
	-rm -fr tmphome
	-rm *.o
	-rm *.ppu
	-rm *.res

=== debian/changelog ===
cevomapgen (32-1) unstable; urgency=medium

  * Initial release (Closes: #1035747)

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 18 Mar 2024 10:00:00 +0000

=== debian/control ===
Source: cevomapgen
Section: games
Priority: optional
Maintainer: Peter Blackman <peter@pblackman.plus.com>
Build-Depends: fpc, lcl, lcl-qt5, debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://sourceforge.net/projects/cevomapgen/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/PeterB/cevomapgen
Vcs-Git: https://salsa.debian.org/PeterB/cevomapgen.git

Package: c-evo-map-gen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: External Map Generator for C-Evo
 Generates more varied maps than the in-game generator.
 It gives greater control than the existing map generator within the game,
 and allows much faster generation of
 novel or extreme worlds than using the map editor.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS  = hardening=+all

execute_before_dh_auto_build:
	@echo "blhc: ignore-line-regexp: Compiling(.+)"

%:
	dh $@

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
http://sf.net/cevomapgen/ Source/cevomapgen\_([0-9\.]*)\.orig\.tar\.xz

## cevomapgen 34

=== Makefile ===
--- 
+++ 
@@ -4,12 +4,29 @@
 
 HOME=tmphome
 
+# Set bindir to games on Debian
+bindir ?= bin
+docdir ?= cevomapgen
+
+all : cevomapgen cevomapcheck
+
 cevomapgen : fpc.cfg CevoMapGen.* *.pas *.pp *.lfm
 	mkdir -p tmphome
+	# LAZDIR not needed for Debian, but might be for others distros, ie Arch
+	lazbuild --ws=qt5 -B $(LAZDIR) CevoMapGen.lpi
 
-# -B option forces compile of all object files
-	lazbuild --ws=qt5 -B CevoMapGen.lpi
+cevomapcheck: fpc.cfg CevoMapCheck.pas
 	fpc -ocevomapcheck CevoMapCheck
+
+install:
+	install -p -Dm 755 cevomapgen                 -t "$(DESTDIR)$(prefix)/$(bindir)"
+	install -p -Dm 755 cevomapcheck               -t "$(DESTDIR)$(prefix)/$(bindir)"
+	install -p -Dm 644 Desktop/cevomapgen.svg     -t "$(DESTDIR)$(prefix)/share/icons/hicolor/scalable/apps"
+	install -p -Dm 644 Desktop/cevomapgen.desktop -t "$(DESTDIR)$(prefix)/share/applications"
+	install -p -Dm 644 Templates/*.INI            -t "$(DESTDIR)$(prefix)/share/cevomapgen/Templates"
+	install -p -Dm 644 Docs/*.html                -t "$(DESTDIR)$(prefix)/share/doc/$(docdir)"
+	install -p -Dm 644 Docs/changelog             -t "$(DESTDIR)$(prefix)/share/doc/$(docdir)"
+	install -p -Dm 644 ManPages/*.6               -t "$(DESTDIR)$(prefix)/share/man/man6"
 
 clean:
 	-rm cevomapcheck

=== debian/changelog ===
cevomapgen (34-1) unstable; urgency=medium

  * New upstream release.
  * Change watch file to use git
  * Standards 4.7.0  (No changes)
  * Use Static-Built-Using in d/control
  * Change build dependency on fpc to fp-compiler
  * Drop d/install & d/docs (now uses upstream Makefile install target)
  * Team maintained

 -- Peter Blackman <peter@pblackman.plus.com>  Fri, 14 Jun 2024 15:31:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: games
 Priority: optional
 Maintainer: Peter Blackman <peter@pblackman.plus.com>
-Build-Depends: fpc, lcl, lcl-qt5, debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Uploaders: Debian Games Team <debian-devel-games@lists.debian.org>,
+ Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
+Build-Depends: fp-compiler, fp-units-fcl, fp-units-misc, lcl, lcl-qt5,
+ debhelper-compat (= 13)
+Standards-Version: 4.7.0
 Homepage: https://sourceforge.net/projects/cevomapgen/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/PeterB/cevomapgen
@@ -12,6 +15,7 @@
 Package: c-evo-map-gen
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Static-Built-Using: fp-compiler, fp-units-fcl,  fp-units-misc, lcl, lcl-qt5
 Description: External Map Generator for C-Evo
  Generates more varied maps than the in-game generator.
  It gives greater control than the existing map generator within the game,

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS  = hardening=+all

# Used in Makefile
export prefix = /usr
export bindir = games
export docdir = c-evo-map-gen

execute_before_dh_auto_build:
	@echo "blhc: ignore-line-regexp: Compiling(.+)"

%:
	dh $@

## cevomapgen 35

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,7 @@
 	install -p -Dm 644 Docs/*.html                -t "$(DESTDIR)$(prefix)/share/doc/$(docdir)"
 	install -p -Dm 644 Docs/changelog             -t "$(DESTDIR)$(prefix)/share/doc/$(docdir)"
 	install -p -Dm 644 ManPages/*.6               -t "$(DESTDIR)$(prefix)/share/man/man6"
+	install -p -Dm 644 cevomapgen.metainfo.xml    -t "$(DESTDIR)$(prefix)/share/metainfo"
 
 clean:
 	-rm cevomapcheck

=== debian/changelog ===
cevomapgen (35-1) unstable; urgency=medium

  * New upstream release.
  * Drop Static-Built-Using
  * Add Enhances: to d/control

 -- Peter Blackman <peter@pblackman.plus.com>  Fri, 20 Sep 2024 17:50:58 +0100

## cevomapgen 36

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 bindir ?= bin
 docdir ?= cevomapgen
 
-all : cevomapgen cevomapcheck
+all : cevomapgen cevomapcheck cevomapgencli
 
 cevomapgen : fpc.cfg CevoMapGen.* *.pas *.pp *.lfm
 	mkdir -p tmphome
@@ -18,9 +18,13 @@
 cevomapcheck: fpc.cfg CevoMapCheck.pas
 	fpc -ocevomapcheck CevoMapCheck
 
+cevomapgencli: fpc.cfg CevoMapGenCLI.pas
+	fpc -ocevomapgencli CevoMapGenCLI
+
 install:
 	install -p -Dm 755 cevomapgen                 -t "$(DESTDIR)$(prefix)/$(bindir)"
 	install -p -Dm 755 cevomapcheck               -t "$(DESTDIR)$(prefix)/$(bindir)"
+	install -p -Dm 755 cevomapgencli              -t "$(DESTDIR)$(prefix)/$(bindir)"
 	install -p -Dm 644 Desktop/cevomapgen.svg     -t "$(DESTDIR)$(prefix)/share/icons/hicolor/scalable/apps"
 	install -p -Dm 644 Desktop/cevomapgen.desktop -t "$(DESTDIR)$(prefix)/share/applications"
 	install -p -Dm 644 Templates/*.INI            -t "$(DESTDIR)$(prefix)/share/cevomapgen/Templates"
@@ -30,8 +34,6 @@
 	install -p -Dm 644 cevomapgen.metainfo.xml    -t "$(DESTDIR)$(prefix)/share/metainfo"
 
 clean:
-	-rm cevomapcheck
-	-rm cevomapgen
 	-rm -fr lib
 	-rm -fr tmphome
 	-rm *.o

=== debian/changelog ===
cevomapgen (36-2) unstable; urgency=medium

  * Use --no-parallel in d/rules

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 08 Oct 2024 15:31:32 +0100

cevomapgen (36-1) unstable; urgency=medium

  *  New upstream release.

 -- Peter Blackman <peter@pblackman.plus.com>  Sun, 06 Oct 2024 10:23:42 +0100

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,4 @@
 	@echo "blhc: ignore-line-regexp: Compiling(.+)"
 
 %:
-	dh $@
+	dh $@ --no-parallel

## cevomapgen 37

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 # Makefile for cevomapgen
 # Copyright : 2024 P Blackman
 # License   : GPLv3+
+
+.NOTPARALLEL:
 
 HOME=tmphome

=== debian/changelog ===
cevomapgen (37-2) unstable; urgency=medium

  * Fix autopkgtest on ppc64el

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 15 Oct 2024 10:52:40 +0100

cevomapgen (37-1) unstable; urgency=medium

  * New upstream release.
  * Add autopkgtest

 -- Peter Blackman <peter@pblackman.plus.com>  Thu, 10 Oct 2024 16:04:37 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Package: c-evo-map-gen
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Static-Built-Using: fp-compiler, fp-units-fcl,  fp-units-misc, lcl, lcl-qt5
+Enhances: c-evo-dh-data
 Description: External Map Generator for C-Evo
  Generates more varied maps than the in-game generator.
  It gives greater control than the existing map generator within the game,

=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,17 @@
 execute_before_dh_auto_build:
 	@echo "blhc: ignore-line-regexp: Compiling(.+)"
 
+# -pie breaks autopkgtest on ppc64el
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+	sed -i '/\-k\-pie/d' fpc.cfg
+endif
+
+# restore config file so build twice can work
+execute_after_dh_auto_build:
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+	sed -i '/\-Cg/a \-k\-pie' fpc.cfg
+endif
+
+
 %:
 	dh $@ --no-parallel

## cevomapgen 37.2

=== debian/changelog ===
cevomapgen (37.2-1) unstable; urgency=medium

  * New upstream release. (Appstream fix)
  * Drop Appstream Lintian override

 -- Peter Blackman <peter@pblackman.plus.com>  Sun, 15 Dec 2024 20:08:37 +0000

cevomapgen (37.1-1) unstable; urgency=medium

  * New upstream release. (Appstream fixes)
  * Fix build on m68k

 -- Peter Blackman <peter@pblackman.plus.com>  Sun, 15 Dec 2024 19:16:56 +0000

cevomapgen (37-5) unstable; urgency=medium

  * Change email address for Games Team (Closes: #1087711)

 -- Peter Blackman <peter@pblackman.plus.com>  Thu, 21 Nov 2024 09:57:48 +0000

cevomapgen (37-4) unstable; urgency=medium

  * Update lintian overrides

 -- Peter Blackman <peter@pblackman.plus.com>  Sat, 19 Oct 2024 12:04:29 +0100

cevomapgen (37-3) unstable; urgency=medium

  * Add lintian override for -pie on ppc64el

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 16 Oct 2024 11:12:48 +0100

## cevomapgen 38

=== debian/changelog ===
cevomapgen (38-1) unstable; urgency=medium

  * New upstream release
  *   (Improved river generation. Changed default map size and resources)

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 05 Feb 2025 15:46:18 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Peter Blackman <peter@pblackman.plus.com>
-Uploaders: Debian Games Team <debian-devel-games@lists.debian.org>,
+Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>,
  Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
 Build-Depends: fp-compiler, fp-units-fcl, fp-units-misc, lcl, lcl-qt5,
  debhelper-compat (= 13)

=== debian/rules ===
--- 
+++ 
@@ -10,15 +10,19 @@
 execute_before_dh_auto_build:
 	@echo "blhc: ignore-line-regexp: Compiling(.+)"
 
-# -pie breaks autopkgtest on ppc64el
+# -pie breaks autopkgtest on ppc64el and compile on m68k
 ifeq ($(DEB_HOST_ARCH),ppc64el)
 	sed -i '/\-k\-pie/d' fpc.cfg
+else ifeq ($(DEB_HOST_ARCH),m68k)
+	sed -i '/\-Cg/d' fpc.cfg
 endif
 
 # restore config file so build twice can work
 execute_after_dh_auto_build:
 ifeq ($(DEB_HOST_ARCH),ppc64el)
 	sed -i '/\-Cg/a \-k\-pie' fpc.cfg
+else ifeq ($(DEB_HOST_ARCH),m68k)
+	sed -i '/\-k\-pie/i \-Cg' fpc.cfg
 endif

## cevomapgen 38.1

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	install -p -Dm 644 Docs/*.html                -t "$(DESTDIR)$(prefix)/share/doc/$(docdir)"
 	install -p -Dm 644 Docs/changelog             -t "$(DESTDIR)$(prefix)/share/doc/$(docdir)"
 	install -p -Dm 644 ManPages/*.6               -t "$(DESTDIR)$(prefix)/share/man/man6"
-	install -p -Dm 644 cevomapgen.metainfo.xml    -t "$(DESTDIR)$(prefix)/share/metainfo"
+	install -p -Dm 644 *.cevomapgen.*.xml         -t "$(DESTDIR)$(prefix)/share/metainfo"
 
 clean:
 	-rm -fr lib

=== debian/changelog ===
cevomapgen (38.1-3) unstable; urgency=medium

  * Fix typo in patch header

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 04 Jun 2025 17:41:34 +0100

cevomapgen (38.1-2) unstable; urgency=medium

  * Rename desktop file to rDNS style

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 13 May 2025 12:45:34 +0100

cevomapgen (38.1-1) unstable; urgency=medium

  * New upstream release
  *  (Reduce Feature Size Increment to one)
  * Standards 4.7.2  (No changes)

 -- Peter Blackman <peter@pblackman.plus.com>  Sun, 11 May 2025 10:40:39 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
 Build-Depends: fp-compiler, fp-units-fcl, fp-units-misc, lcl, lcl-qt5,
  debhelper-compat (= 13)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://sourceforge.net/projects/cevomapgen/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/PeterB/cevomapgen

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,10 @@
 	sed -i '/\-k\-pie/i \-Cg' fpc.cfg
 endif
 
+# Rename desktop file to rDNS style
+execute_after_dh_auto_install:
+	mv -v debian/c-evo-map-gen/usr/share/applications/cevomapgen.desktop \
+	      debian/c-evo-map-gen/usr/share/applications/net.sourceforge.cevomapgen.desktop
 
 %:
 	dh $@ --no-parallel

=== debian/watch ===
version=4
  opts="mode=git, pgpmode=gittag" \
  https://git.code.sf.net/p/cevomapgen/code \
  refs/tags/([\d\.]+)

## cevomapgen 39

=== Makefile ===
--- 
+++ 
@@ -9,13 +9,14 @@
 # Set bindir to games on Debian
 bindir ?= bin
 docdir ?= cevomapgen
+widgetset ?= qt6
 
 all : cevomapgen cevomapcheck cevomapgencli
 
 cevomapgen : fpc.cfg CevoMapGen.* *.pas *.pp *.lfm
 	mkdir -p tmphome
 	# LAZDIR not needed for Debian, but might be for others distros, ie Arch
-	lazbuild --ws=qt5 -B $(LAZDIR) CevoMapGen.lpi
+	lazbuild --ws=$(widgetset) -B $(LAZDIR) CevoMapGen.lpi
 
 cevomapcheck: fpc.cfg CevoMapCheck.pas
 	fpc -ocevomapcheck CevoMapCheck
@@ -28,12 +29,12 @@
 	install -p -Dm 755 cevomapcheck               -t "$(DESTDIR)$(prefix)/$(bindir)"
 	install -p -Dm 755 cevomapgencli              -t "$(DESTDIR)$(prefix)/$(bindir)"
 	install -p -Dm 644 Desktop/cevomapgen.svg     -t "$(DESTDIR)$(prefix)/share/icons/hicolor/scalable/apps"
-	install -p -Dm 644 Desktop/cevomapgen.desktop -t "$(DESTDIR)$(prefix)/share/applications"
+	install -p -Dm 644 Desktop/*.cevomapgen.desktop -t "$(DESTDIR)$(prefix)/share/applications"
 	install -p -Dm 644 Templates/*.INI            -t "$(DESTDIR)$(prefix)/share/cevomapgen/Templates"
 	install -p -Dm 644 Docs/*.html                -t "$(DESTDIR)$(prefix)/share/doc/$(docdir)"
 	install -p -Dm 644 Docs/changelog             -t "$(DESTDIR)$(prefix)/share/doc/$(docdir)"
 	install -p -Dm 644 ManPages/*.6               -t "$(DESTDIR)$(prefix)/share/man/man6"
-	install -p -Dm 644 *.cevomapgen.*.xml         -t "$(DESTDIR)$(prefix)/share/metainfo"
+	install -p -Dm 644 *.cevomapgen.*.xml       -t "$(DESTDIR)$(prefix)/share/metainfo"
 
 clean:
 	-rm -fr lib

=== debian/changelog ===
cevomapgen (39-1) unstable; urgency=medium

  * New upstream version 39  (Larger main Form)
  * Drop desktop patch adopted upstream
  * Build with Qt6

 -- Peter Blackman <peter@pblackman.plus.com>  Sat, 09 Aug 2025 21:29:40 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Peter Blackman <peter@pblackman.plus.com>
 Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>,
  Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
-Build-Depends: fp-compiler, fp-units-fcl, fp-units-misc, lcl, lcl-qt5,
- debhelper-compat (= 13)
+Build-Depends: fp-compiler, fp-units-fcl, fp-units-misc, lcl,
+ lazarus-src, libqt6pas-dev, debhelper-compat (= 13)
 Standards-Version: 4.7.2
 Homepage: https://sourceforge.net/projects/cevomapgen/
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -25,10 +25,5 @@
 	sed -i '/\-k\-pie/i \-Cg' fpc.cfg
 endif
 
-# Rename desktop file to rDNS style
-execute_after_dh_auto_install:
-	mv -v debian/c-evo-map-gen/usr/share/applications/cevomapgen.desktop \
-	      debian/c-evo-map-gen/usr/share/applications/net.sourceforge.cevomapgen.desktop
-
 %:
 	dh $@ --no-parallel

=== debian/tests/control ===
# Autopkgtest for cevomapgen
#
# Copyright : 2024 P Blackman
# License   : GPL-3+
#

Test-Command: cevomapgencli 7 0 /usr/share/cevomapgen/Templates/BigMountains

Test-Command: cevomapgencli 7 0 /usr/share/cevomapgen/Templates/ColdMountains

Test-Command: cevomapgencli 7 0 /usr/share/cevomapgen/Templates/Desert

Test-Command: cevomapgencli 7 0 /usr/share/cevomapgen/Templates/DesertIslands

Test-Command: cevomapgencli 7 0 /usr/share/cevomapgen/Templates/Hills

Test-Command: cevomapgencli 7 0 /usr/share/cevomapgen/Templates/Icebergs

Test-Command: cevomapgencli 7 0 /usr/share/cevomapgen/Templates/IcySwamp

Test-Command: cevomapgencli 7 0 /usr/share/cevomapgen/Templates/Marsh

Test-Command: cevomapgencli 7 0 /usr/share/cevomapgen/Templates/Savanna

Test-Command: cevomapgencli 7 0 /usr/share/cevomapgen/Templates/SmallIslands

Test-Command: cevomapgencli 7 0 /usr/share/cevomapgen/Templates/Swamp

Test-Command: cevomapcheck BigMountains.cevomap

Test-Command: cevomapcheck ColdMountains.cevomap

Test-Command: cevomapcheck Desert.cevomap

Test-Command: cevomapcheck DesertIslands.cevomap

Test-Command: cevomapcheck Hills.cevomap

Test-Command: cevomapcheck Icebergs.cevomap

Test-Command: cevomapcheck IcySwamp.cevomap

Test-Command: cevomapcheck Marsh.cevomap

Test-Command: cevomapcheck Savanna.cevomap

Test-Command: cevomapcheck SmallIslands.cevomap

Test-Command: cevomapcheck Swamp.cevomap
